#pragma once

#include "ConfigComboBox.h"



class CSystemConfiguration;



class CGameOptionsPage : public CPropertyPage
{
public:
	CGameOptionsPage( CSystemConfiguration& kSysConfig );
	virtual ~CGameOptionsPage();

	virtual BOOL OnInitDialog();
	virtual void OnOK();	

protected:
	virtual void DoDataExchange( CDataExchange* pDX );
	DECLARE_MESSAGE_MAP()

	afx_msg void OnBnClickedAutoDetectSysSpec();

private:
	void UpdateSystemConfig();
	void SetDefaultKeyBindings();
	DECLARE_DYNAMIC( CGameOptionsPage )

private:
	CSystemConfiguration& m_kSysConfig;

	CConfigComboBox m_kLanguageCtrl;
	CButton m_kGoreCtrl;
	CSliderCtrl m_kLazyWeaponCtrl;
	double m_dDeathTime;
	CConfigComboBox m_kSysSpecCtrl;
	CButton m_kAutoDetectSysSpecCtrl;
};
